This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 174741 - lock_dlm: Assertion failed on line 428 of file dlm/lock.c
lock_dlm: Assertion failed on line 428 of file dlm/lock.c
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-01 15:41 EST by Henry Harris
Modified: 2010-01-11 22:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 13:31:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kdb information for kdb panic (160.72 KB, text/plain)
2006-02-22 12:13 EST, Dennis Preston
no flags Details

  None (edit)
Description Henry Harris 2005-12-01 15:41:46 EST
Description of problem: Kernel panic in dlm 


Version-Release number of selected component (if applicable)
gfs-kernel-2.6.9-42

How reproducible:
Repeatable

Steps to Reproduce:
1. service nfs stop
2. service nfs start
3. service network stop
  
Actual results:
Kernel panic

Expected results:
No kernel panic

Additional info:
Comment 1 Kiersten (Kerri) Anderson 2005-12-01 17:11:35 EST
We need additional information in order to make progress on this one, including
configuration, message logs and the full console messages/stack trace when this
problem occured.  Also, how reproduceable, which version of the rhel4 kernel, etc.
Comment 2 David Teigland 2005-12-01 17:20:06 EST
If the network fails/stops while gfs is in use, then gfs will panic
in the spot shown above.  That's the designed/expected behavior.
Comment 3 Dennis Preston 2006-02-22 12:13:27 EST
Created attachment 125043 [details]
kdb information for kdb panic
Comment 4 Dennis Preston 2006-03-02 16:39:59 EST
In most datacenters, spurious network outages happen, This should NOT cause 
kernel panics. We have seen this failure even on small private networks.

Note You need to log in before you can comment on or make changes to this bug.